Results 1 to 6 of 6

Thread: 8.10 upgrade broke Lighttpd

  1. #1
    Join Date
    May 2006
    Location
    USA
    Beans
    10
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Question 8.10 upgrade broke Lighttpd

    Hey guys, I'm having some issues with Lighttpd after upgrading my 8.04 system to 8.10.

    I've been using the 8.10 RC on my laptop, and absolutely love it. So, I decided to upgrade my 8.04 desktop. The upgrade was very smooth, I thought everything was working, but then I noticed that my webserver wasn't up.

    I tried to bring it up, and here's what happens:

    Code:
    ryan@madison:~$ sudo /etc/init.d/lighttpd start
     * Starting web server lighttpd
    2008-10-26 09:35:54: (configfile.c.901) opening configfile  /etc/lighttpd/conf-enabled/10-auth.conf failed: No such file or directory 
    2008-10-26 09:35:54: (configfile.c.855) source: /usr/share/lighttpd/include-conf-enabled.pl line: 2 pos: 8 parser failed somehow near here: (EOL) 
    2008-10-26 09:35:54: (configfile.c.855) source: /etc/lighttpd/lighttpd.conf line: 159 pos: 1 parser failed somehow near here: (EOL) 
       ...fail!
    I checked out the config file, and nothing really stuck out at me. So, I have 2 questions: 1 - does anyone know how I can fix these errors? 2 - If not, how can I completely remove lighttpd and reinstall it from scratch?

    I tried:

    Code:
    sudo apt-get purge lighttpd
    and I'm still getting the same errors when I attempt to start the process.

    Thanks guys!

    (If it would help to post my lighttpd config, please don't hesitate to ask)

  2. #2
    Join Date
    May 2006
    Location
    USA
    Beans
    10
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: 8.10 upgrade broke Lighttpd

    Oh, forgot to mention, the file it claims doesn't exist is there; it just doesn't have anything in it.

    Code:
    ryan@madison:~$ ls -l /etc/lighttpd/conf-enabled/
    total 0
    lrwxrwxrwx 1 root root 41 2008-07-28 10:19 10-auth.conf -> /etc/lighttpd/conf-available/10-auth.conf
    lrwxrwxrwx 1 root root 40 2008-07-28 10:16 10-cgi.conf -> /etc/lighttpd/conf-available/10-cgi.conf
    lrwxrwxrwx 1 root root 47 2008-07-28 10:19 50-phpmyadmin.conf -> /etc/lighttpd/conf-available/50-phpmyadmin.conf
    Last edited by ryawn; October 26th, 2008 at 07:48 PM.

  3. #3
    Join Date
    May 2006
    Location
    USA
    Beans
    10
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: 8.10 upgrade broke Lighttpd

    Bump, any ideas?

  4. #4
    Join Date
    Dec 2007
    Location
    Romania
    Beans
    45
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: 8.10 upgrade broke Lighttpd

    Fill a bug on launchpad. Probably there are very few other people using Lighttpd. You probably are the first one to upgrade. Hope this makes you fill special.
    Still, it is theoretically possible that you made some customizations to your Lighttpd installation that are not compatible with the upgrade process. It would be good to know if anyone upgraded successfully or if it works on a clean install on 8.10.
    Last edited by mihaiv; October 27th, 2008 at 09:55 PM.

  5. #5
    Join Date
    May 2006
    Location
    USA
    Beans
    10
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: 8.10 upgrade broke Lighttpd

    Quote Originally Posted by mihaiv View Post
    fill a bug on launchpad. Probably there are very few other people using lighttpd. You probably are the first one to upgrade. Hope this makes you fill special.
    Still, it is theoretically possible that you made some customizations to your lighttpd installation that are not compatible with the upgrade process. It would be good to know if anyone upgraded successfully or if it works on a clean install on 8.10.
    1
    Last edited by ryawn; October 4th, 2010 at 01:07 PM.

  6. #6
    Join Date
    Jan 2008
    Beans
    1

    Re: 8.10 upgrade broke Lighttpd

    Hey,

    The file it is complaining about is a broken link - try this:

    sudo rm /etc/lighttpd/conf-available/10-auth.conf
    sudo lighttpd-enable-mod auth
    sudo /etc/init.d/lighttpd start
    There are still some broken pieces, but at least the server will start now and most stuff seems to work (some of my re-dicrects do not though)

    Looks like the error was caused by a renaming of 10-auth.conf to 5-auch.conf

    Good luck - hope that helped

    Martin
    Last edited by mstenkil; November 5th, 2008 at 06:30 PM.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •